/*
 *	vii - buffer and display output
 *	Copyright (C) 1991, 1995, 1999, 2005 Peter Miller
 *
 *	This program is free software; you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License as published by
 *	the Free Software Foundation; either version 2 of the License, or
 *	(at your option) any later version.
 *
 *	This program is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *
 *	You should have received a copy of the GNU General Public License
 *	along with this program; if not, write to the Free Software
 *	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
 *
 * MANIFEST: interface definition of vii/stash.c
 */

#ifndef XI_STASH_H
#define XI_STASH_H

#include <ac/stddef.h>
#include <main.h>

typedef struct stash stash;
struct stash
{
	size_t	x, y;
	size_t	nlines;
	char	**line;
};

stash *stash_open _((void));
void stash_putc _((stash *, int));
void stash_draw _((stash *, int x, int y, int dx, int dy));
void stash_free _((stash *));
int stash_length _((stash *));

#endif /* XI_STASH_H */
