/*
 *	vii - buffer and display outout
 *	Copyright (C) 1991, 1992, 1995, 1999, 2005 Peter Miller
 *
 *	This program is free software; you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License as published by
 *	the Free Software Foundation; either version 2 of the License, or
 *	(at your option) any later version.
 *
 *	This program is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *
 *	You should have received a copy of the GNU General Public License
 *	along with this program; if not, write to the Free Software
 *	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
 *
 * MANIFEST: interface definition of vii/term.c
 */

#ifndef XI_TERM_H
#define XI_TERM_H

#include <main.h>

#define TERM_EOF -1
#define TERM_INTR -2

void term_open _((char *));
void term_close _((void));
void term_refresh _((void));
void term_redraw _((void));
void term_clear _((void));
void term_bell _((void));
int term_getc _((int, void(*)(int)));
void term_last_line _((void));
void term_putc _((int x, int y, int c));
void term_puts _((int x, int y, const char *s));
void term_get_size _((int *x, int *y));

#endif /* XI_TERM_H */
